import request from '@/utils/request'

export function dataImport() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '7',
      name: '人员表',
      param: arguments[0]
    }
  })
}
export function personFransfer() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '人员信息表格导入后轮询到人员表'
    }
  })
}
export function personTruncate() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_人员导入_全部人员删除'
    }
  })
}
export function personSelect(pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_人员维护_人员查询新',
      Pagination: pageList + '&' + pageSize
    }
  })
}
export function personDelete() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_人员维护_人员删除',
      param: '人员编号=' + arguments[0]
    }
  })
}
export function addPeople() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '奖金绩效系统_人员维护_人员增加新',
      param: '工号=' + arguments[0] + '&密码=' + arguments[1] + '&姓名=' + arguments[2] + '&OrgUnit=' + arguments[3] + '&Cost_Center=' + arguments[4] + '&Business_Area=' + arguments[5] + '&PSG=' + arguments[6] +
      '&Job_Title=' + arguments[7] + '&Payroll_Area=' + arguments[8] + '&导入数据是否覆盖=' + arguments[9] + '&中文名=' + arguments[10]
    }
  })
}
// 人员更新
export function personUpdate() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_人员维护_人员修改新',
      param: 'id=' + arguments[0] + '\\&密码=' + arguments[1] + '\\&姓名=' + arguments[2] + '\\&OrgUnit=' + arguments[3] + '\\&Cost_Center=' + arguments[4] + '\\&Business_Area=' + arguments[5] + '\\&PSG=' + arguments[6] + '\\&Job_Title=' + arguments[7] + '\\&Payroll_Area=' + arguments[8] + '\\&导入数据是否覆盖=' + arguments[9] + '\\&中文名=' + arguments[10]
    }
  })
}
